Items - Delete Item
Deletes the specified item.
This API is supported for a number of item types, find the supported item types and information about their definition structure in Item management overview. The default behavior is to soft delete the item for supported item types.
Note
The soft-deleted items will be counted toward the maximum number of items allowed in each workspace.
Permissions
The caller must have write permissions for the item for soft deletion. The caller must have workspace Admin role assigned for hard/permanent deletion.
Required Delegated Scopes
For item APIs use these scope types:
- Generic scope: Item.ReadWrite.All
- Specific scope: itemType.ReadWrite.All (for example: Notebook.ReadWrite.All)
for more information about scopes, see scopes article.
Microsoft Entra supported identities
This API supports the Microsoft identities listed in this section.
| Identity | Support |
|---|---|
| User | Yes |
| Service principal and Managed identities | When the item type in the call is supported. Check the corresponding API for the item type you're calling, to see if your call is supported. For example, semantic models are supported. |
Interface
DELETE https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}/items/{itemId}
DELETE https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}/items/{itemId}?hardDelete={hardDelete}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
item
|
path | True |
string (uuid) |
The item ID. |
|
workspace
|
path | True |
string (uuid) |
The workspace ID. |
|
hard
|
query |
boolean |
Specifies whether to perform a hard delete. When set to |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Request completed successfully. |
|
| 429 Too Many Requests |
The service rate limit was exceeded. The server returns a Headers Retry-After: integer |
|
| Other Status Codes |
Common error codes:
|
Examples
| Delete an item example |
| Hard delete an item example |
Delete an item example
Sample request
DELETE https://api.fabric.microsoft.com/v1/workspaces/cfafbeb1-8037-4d0c-896e-a46fb27ff229/items/5b218778-e7a5-4d73-8187-f10824047715
Sample response
Hard delete an item example
Sample request
DELETE https://api.fabric.microsoft.com/v1/workspaces/cfafbeb1-8037-4d0c-896e-a46fb27ff229/items/5b218778-e7a5-4d73-8187-f10824047715?hardDelete=True
Sample response
Definitions
| Name | Description |
|---|---|
|
Error |
The error related resource details object. |
|
Error |
The error response. |
|
Error |
The error response details. |
ErrorRelatedResource
The error related resource details object.
| Name | Type | Description |
|---|---|---|
| resourceId |
string |
The resource ID that's involved in the error. |
| resourceType |
string |
The type of the resource that's involved in the error. |
ErrorResponse
The error response.
| Name | Type | Description |
|---|---|---|
| errorCode |
string |
A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users. |
| message |
string |
A human readable representation of the error. |
| moreDetails |
List of additional error details. |
|
| relatedResource |
The error related resource details. |
|
| requestId |
string (uuid) |
ID of the request associated with the error. |
ErrorResponseDetails
The error response details.
| Name | Type | Description |
|---|---|---|
| errorCode |
string |
A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users. |
| message |
string |
A human readable representation of the error. |
| relatedResource |
The error related resource details. |